Alway getting »error: cannot open .git/FETCH_HEAD: Permission denied« message


#1

Hey, just installed Rubymotion 5.8 on macOS High Sierra 10.13.4.

While doing my first steps guided by the tutorial, I noticed that all command executions are accompanied by these error messages.

For example:

$ motion --version
error: cannot open .git/FETCH_HEAD: Permission denied
error: cannot open .git/FETCH_HEAD: Permission denied
5.8

This message disappears when running the commands as root. According to the manual, root privileges should only be necessary for commands like motion update

Do you guys have an idea what this is about?


#2

I was getting a different permission issue related to git:

error: insufficient permission for adding an object to repository database .git/objects

I fixed it by deleting the ~/.rubymotion folder. Seems the update to 10.13.4 effected the permissions on my computer.


#3

Thanks, that fixed it for me, too.

The starter tutorial might need a little update.